std::__basic_future< _Res >(3)

NAME
std::__basic_future< _Res > - Common implementation for future and shared_future.

SYNOPSIS

#include <future>

Inherits __future_base.

Inherited by std::future< _Res >, and std::shared_future< _Res >.

  Public Member Functions
__basic_future (const __basic_future &)=delete
__basic_future & operator= (const __basic_future &)=delete
bool valid () const noexcept
void wait () const
template<typename _Rep , typename _Period > future_status wait_for (const chrono::duration< _Rep, _Period > &__rel) const
template<typename _Clock , typename _Duration > future_status wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

  Protected Types
typedef __future_base::_Result< _Res > & __result_type
typedef shared_ptr< _State_base > __state_type

  Protected Member Functions
__basic_future (const __state_type &__state)
__basic_future (const shared_future< _Res > &) noexcept
__basic_future (future< _Res > &&) noexcept
__basic_future (shared_future< _Res > &&) noexcept
__result_type _M_get_result () const
Wait for the state to be ready and rethrow any stored exception.
void _M_swap (__basic_future &__that) noexcept

Detailed Description

  template<typename _Res>
class std::__basic_future< _Res >"Common implementation for future and shared_future.

Member Function Documentation

  template<typename _Res > __result_type std::__basic_future< _Res >::_M_get_result () const [inline], [protected]

Wait for the state to be ready and rethrow any stored exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.